$(document).ready(function(){
    $('input[@id^=dgList__ctl][@id$=_starttime]').click(function(){
		setDayHM(this);
	});
	$('input[@id^=dgList__ctl][@id$=_endtime]').click(function(){
		setDayHM(this);
	});
	$('a').click(function(){
		if($(this).text() == '确定')
		{
			//--验证数据的合法性
			var flag = true;
			$('input[@id^=dgList_][@id$=_bidprice]').each(function(i){
				if($.trim($(this).val()) == '')
				{
					alert('起拍价不能为空！');
					flag = false;
					return false;
				}
							
				var point = /^[-\+]?\d+(\.\d+)?$/;
				if(!point.test($.trim($(this).val())) || $.trim($(this).val()) <= 0)
				{
					alert('起拍价填写错误,只能为正数！');
					flag = false;
					return false;
				}
			});			
			//--加价幅度
			$('input[@id^=dgList_][@id$=_range]').each(function(i){
				if($.trim($(this).val()) == '')
				{
					alert('加价幅度不能为空！');
					flag = false;
					return false;
				}
			});			
			//--开始时间
			$('input[@id^=dgList_][@id$=_starttime]').each(function(i){
				if($.trim($(this).val()) == '')
				{
					alert('开始时间不能为空！');
					flag = false;
					return false;
				}
			});			
			//--结束时间
			$('input[@id^=dgList_][@id$=_endtime]').each(function(i){
				if($.trim($(this).val()) == '')
				{
					alert('截止时间不能为空！');
					flag = false;
					return false;
				}
			});
			if(flag == false)
			{
				return false;
			}
		}
	});
	
	
	$('#editListMemberGroup').html($('#ListMemberGroup').html())
	
	//$('input[@type=checkbox]',$('#editListMemberGroup')).click(function(){
//		alert(1);
//	});
	
	$('#editListMemberGroup [@type=checkbox]').click(function(){
		if($(this).attr('checked') == true)
		{
			$('#ListMemberGroup [@type=checkbox][@id=' + $(this).attr('id') + ']').attr("checked", true); 
		}
		else
		{
			$('#ListMemberGroup [@type=checkbox][@id=' + $(this).attr('id') + ']').attr("checked", false); 
		}
	});
});